Summary: PostScript Utilities
Name: psutils
Version: 1.23
Release: 1
License: distributable
Group: Applications/Publishing
URL: https://github.com/rrthomas/psutils

# We can't follow https://fedoraproject.org/wiki/Packaging:SourceURL#Github
# and use upstream tarball for building because ./bootstrap downloads gnulib.
# wget https://github.com/rrthomas/psutils/archive/master.zip && unzip master.zip && cd psutils-master/
# ./bootstrap && autoreconf -vfi && ./configure && make dist-xz
Source0: %{name}-%{version}.tar.bz2

# BZ#1072371
# https://github.com/rrthomas/psutils/commit/cca570c806bf4bde07f400b2bab9266e02998145
Patch0: psutils-paperconf.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: make
BuildRequires: patch
BuildRequires: perl >= 5.8.8-2
BuildRequires: sed

%description
This archive contains some utilities for manipulating PostScript documents.
Page selection and rearrangement are supported, including arrangement into
signatures for booklet printing, and page merging for n-up printing.


%package perl
Summary: psutils scripts requiring perl
Group: Applications/Publishing
Requires: perl >= 5.8.8-2

%description perl
Various scripts from the psutils distribution that require perl.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .paperconf
# use /opt/freeware/bin/perl instead of /usr/bin/env perl
sed -i -e 's|/usr/bin/env perl|/opt/freeware/bin/perl|' extractres psjoin


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
gmake %{?_smp_flags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README LICENSE
%{_bindir}/epsffit
%{_bindir}/psbook
%{_bindir}/psnup
%{_bindir}/psresize
%{_bindir}/psselect
%{_bindir}/pstops
%{_mandir}/man1/epsffit.1*
%{_mandir}/man1/psbook.1*
%{_mandir}/man1/psnup.1*
%{_mandir}/man1/psresize.1*
%{_mandir}/man1/psselect.1*
%{_mandir}/man1/pstops.1*
%{_mandir}/man1/psutils.1*
/usr/bin/epsffit
/usr/bin/psbook
/usr/bin/psnup
/usr/bin/psresize
/usr/bin/psselect
/usr/bin/pstops


%files perl
%doc LICENSE
%{_bindir}/extractres
%{_bindir}/includeres
%{_bindir}/psjoin
%{_mandir}/man1/extractres.1*
%{_mandir}/man1/includeres.1*
%{_mandir}/man1/psjoin.1*
/usr/bin/extractres
/usr/bin/includeres
/usr/bin/psjoin


%changelog
* Tue Jan 17 2017 Michael Perzl <michael@perzl.org> - 1.23-1
- updated to version 1.23

* Tue Jun 17 2008 Michael Perzl <michael@perzl.org> - 1.17-1
- first version for AIX V5.1 and higher
